package org.blue.club.entities.dto.user.req;

import io.swagger.v3.oas.annotations.media.Schema;
import org.apache.commons.codec.digest.DigestUtils;

@Schema(name = "用户登录参数")
public record LoginRequest(@Schema(description = "用户名") String username,
                           @Schema(description = "用户密码（使用MD5摘要后的hex字符串）") String password,
                           @Schema(description = "验证码密钥") String key,
                           @Schema(description = "验证码") String code) {
    public String sha1HexPassword() {
        return DigestUtils.sha1Hex(this.password);
    }
}
