package org.blue.club.entities.vo.data;

import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.RelationManyToMany;
import com.mybatisflex.annotation.Table;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.blue.club.entities.vo.abs.PermissionsHolder;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Table("club_auth")
@Data
@Schema(name = "社团权限")
public class ClubAuthVo extends BaseDataVo implements PermissionsHolder {
    @Schema(description = "社团权限ID")
    @Id
    private long id;
    @Schema(description = "社团权限名称")
    private String name;
    @RelationManyToMany(joinTable = "club_auth_permission",
            selfField = "id", joinSelfColumn = "auth_id",
            targetField = "id", joinTargetColumn = "permission_id"
    )
    private List<PermissionVo> permissions;
}
