package org.blue.club.utils;

import com.alibaba.fastjson2.JSONObject;
import jakarta.annotation.Nullable;
import jakarta.websocket.Session;
import lombok.NonNull;
import lombok.SneakyThrows;
import org.blue.club.entities.dto.chess.packet.BaseWebSocketPacket;

import java.util.Objects;

public class WebSocketUtils {
    @SneakyThrows
    public static void sendJsonMessage(@NonNull JSONObject message, @NonNull Session session) {
        session.getBasicRemote().sendText(message.toJSONString());
    }

    public static void sendMessage(@NonNull Object object, @NonNull Session session) {
        sendJsonMessage(JSONObject.from(object), session);
    }

    public static void sendPacket(@NonNull Object packet, @NonNull Session session) {
        sendMessage(BaseWebSocketPacket.of(packet), session);
    }

    public static void sendPacket(@NonNull Object packet, String originalPacketName, @NonNull Session session) {
        sendMessage(BaseWebSocketPacket.of(packet, originalPacketName), session);
    }

    public static void sendPacketIfPossible(@NonNull Object packet, @Nullable Session session) {
        if (Objects.isNull(session)) return;
        sendPacket(packet, session);
    }
}
